import sys, unittest

class Employee:
	def __init__(self,Name="",Salary=0.0):
		self.strName = Name
		self.fSalary = Salary		
	def  Name(self):
		return self.strName
	def  Salary(self):
		return self.fSalary
	def  addRaise(self,Raise):
		self.fSalary = self.fSalary - Raise
		
class EmployeeTestCase(unittest.TestCase):
       
	# Create employee with non-default values
	def testNonDefaultValues(self):
		b = Employee("Bob", 1500.0)
		self.assertEqual(b.Name(), "Bob")
		self.assertAlmostEqual(b.Salary(), 1500.0, 3)

	# Testing adding raise to salary
	def testAddRaise(self):
		tmp = Employee("Bob", 1500.0)
		tmp.addRaise( 333.5 )
		self.assertAlmostEqual(tmp.Salary(), 1833.5, 3)
 
if __name__ == "__main__":
	unittest.main()
