from Tkinter import *

# create the root widget
root = Tk()
root.title("Graphics Window")

# create a 400 x 400 pixel canvas
can = Canvas(root, \
             width = 400, \
             height = 400,background = "light yellow")
# and place it at the TOP of the window
can.pack(side = TOP)

# draw 3 lines
can.create_line(50,100,250,100, width=1, fill = "blue")
can.create_line(50,120,250,120, width=5, fill = "red")
can.create_line(50,140,250,140, width=10, fill = "green")

# draw a rectangle
can.create_rectangle(300, 200, 380, 350, fill = "light blue")

can.create_arc(100, 200, 250, 350,start = 0, extent = 180, fill = "red")

# draw an oval
can.create_oval(40, 20, 250, 90, fill = "green")


# draw a polygon
can.create_polygon(300, 20,350, 40, 390, 100,370, 120, 280, 150, fill = "yellow", outline = "black")

# insert a PhotoImage
photo = PhotoImage(file = "C://smiley.gif")
can.create_image(50, 300, image = photo)

# enter main loop
root.mainloop()


