class Node:
    def __init__(self, nVal):
        self.nVal = nVal
        self.left = None
        self.right= None
    
    def getVal(self):
        return self.nVal
    
    def setLeft(self, leftnode):
        self.left = leftnode
    
    def setRight(self, rightnode):
        self.right = rightnode
        
    def getLeft(self):
        return self.left
    
    def getRight(self):
        return self.right

class Tree:
    def __init__(self):
        self.root = None
    
    def addNode(self, root, node ):
        if root.getVal( ) < node.getVal( ):
            if root.getRight( ) == None:
                root.setRight( node )
            else:
                self.addNode( root.getRight( ) , node)
        else:
            if root.getLeft( ) == None:
                root.setLeft( node )
            else:
                self.addNode( root.getLeft( ) , node)

    def search( self, current, nVal ):
        if current.getVal( ) == nVal:
            return True
        else:
            if current.getVal( ) < nVal:
                if current.getRight( ) == None:
                    return False
                else:
                    return self.search( current.getRight( ), nVal )
            else:
                if current.getLeft( ) == None:
                    return False
                else:
                    return self.search( current.getLeft( ), nVal )
    
if __name__ == "__main__":
    root = Node(5)
    tree = Tree()
    tree.addNode( root, Node(6) )
    tree.addNode( root, Node(10) )
    tree.addNode( root, Node(3) )
    tree.addNode( root, Node(2) )
    tree.addNode( root, Node(1) )
    print tree.search( root,10 )
    