import time

def bubble_sort(lst):
    bContinue  = True
    while bContinue  == True:
        bContinue = False
        for index in range(len(lst)-1):
            if lst[index] > lst[index+1]:
                temp = lst[index]
                lst[index] = lst[index+1]
                lst[index+1] = temp
                bContinue = True
    
    return lst

def find_min(L, i): 
	'''Return the index of the smallest item in L[i:].'''
	smallest = i # The index of the smallest so far 
	for j in range(i + 1, len(L)):
		if L[j] < L[smallest]: 
			smallest = j
	return smallest
	
def selection_sort(L): 
	'''Sort the items in L in non-descending order.'''
	for i in range(len(L)):
		smallest = find_min(L, i)
		# swap smallest with first unsorted
		L[i], L[smallest] = L[smallest], L[i]		
	return L
    
def runtime(f, arg):
	before = time.clock() 
	f(arg)
	after = time.clock() 
	return (after - before)

if __name__ == "__main__":
	print "%1.20f" % runtime(bubble_sort,[3,6,5,4,31,18,61,17,51,454,432,44,23,125,19,199])
	print "%1.20f" % runtime(selection_sort,[3,6,5,4,31,18,61,17,51,454,432,44,23,125,19,199])
