def linear_search(lst,item):
    for i in lst:
        if i == item:
            return True
    return False
    
def binary_search(lst,item):
    nStart = 0
    nEnd   = len(lst) -1
    bContinue=True
    bFound   =False
    mid_point = (nStart + nEnd) / 2
    while bContinue and (nStart <= nEnd):
        if lst[mid_point] == item:
            bContinue = False
            bFound    = True
        else:
            if lst[mid_point] < item:
                nStart = mid_point + 1
                mid_point = (nStart + nEnd) / 2
            else:
                nEnd =  mid_point - 1
                mid_point = (nStart + nEnd) / 2
    return bFound

if __name__ == "__main__":
    #linear_search([9,1,5,7,8,3,4,6], 8)
    assert binary_search([1,2,3,4,6,7,8,9,100], 8) == True, "did not find 8 !"
    assert binary_search([1,2,3,4,6,7,8,9,100], 1) == True, "did not find first element !"
    assert binary_search([1,2,3,4,6,7,8,9,100], 100) == True, "did not find last element !"
    assert binary_search([1,2], 1) == True,"did not find first element in list of 2!"
    assert binary_search([], 1) == False,"searching in empty list"
    assert binary_search([1,2,3,4,6,7,8,9,100], 77) == False, "found it thought I should not!"
    