def find_min(L, i): 
	'''Return the index of the smallest item in L[i:].'''
	smallest = i # The index of the smallest so far 
	for j in range(i + 1, len(L)):
		if L[j] < L[smallest]: 
			smallest = j
	return smallest
	
def selection_sort(L): 
	'''Sort the items in L in non-descending order.'''
	for i in range(len(L)):
		smallest = find_min(L, i)
		# swap smallest with first unsorted
		L[i], L[smallest] = L[smallest], L[i]
		print "Step %d: %s" % (i, L)
	return L

selection_sort([5, 3, 4, 7, 9, 2, 1])
